curl --request GET \
--url https://api.nebius.cloud/dns/v1/records/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/dns/v1/records/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/dns/v1/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"data": "<string>",
"relativeName": "<string>",
"type": "RECORD_TYPE_UNSPECIFIED",
"deletionProtection": true,
"ttl": "<string>"
},
"status": {
"effectiveFqdn": "<string>",
"reconciling": true,
"zoneDomainName": "<string>"
}
}Get
Gets the DNS record with the specified ID
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
Record ID
Query Parameters
Optional: expected record version (metadata.resource_version)
- If specified, the requested version will be returned if possible
(if the version has changed, you will get a
FAILED_PRECONDITIONerror) - If not specified or set to
0, the latest version will be returned
Response
A successful response.
API Resource: DNS Resource Record (RR), an information entry about a specific domain.
Each record is contained within a DNS zone, which is a container for DNS data of a specific domain, and, possibly, its subdomains
DNS zones are represented in this API by the Zone API Resource which is managed by the ZoneService
DNS record metadata
metadata.parent_id must be a DNS zone ID
Show child attributes
Show child attributes
DNS record specification, including its relative name, type, data and TTL
Show child attributes
Show child attributes
DNS record status, including e.g. its effective FQDN (fully-qualified domain name)
Show child attributes
Show child attributes
Was this page helpful?